#ifndef _BRIEFING_SCENE_
#define _BRIEFING_SCENE_

#include <HPLE3DLapper.h>

namespace MotionTest {
/** ダニモスから指示を受けるシーン
  */
class BriefingScene : public HPL::General::AbstractScene {
private:
	// シナリオ
	HPL::E3D::ScenarioManager m_ScenarioManager;

	//! 現在の表示アイテム
	HPL::E3D::ScenarioItem* m_ScenarioItem;
public:
	BriefingScene();
	virtual ~BriefingScene();

	void init();
	void process();
	void quit();
public:
	//! 文字列描画
	int drawText();

	//! レンダリング
	int render();

	//! フレームごとの移動処理
	int frameMove();
};
}


#endif
